# Deployment configuration for STAGING system
# ===============================================

# Defines a single server with a list of roles and multiple properties.
# You can define all roles on a single server, or split them:
# we have to use the IP address here
server 'freie-grundschule.de', user: 'ssh-93534-deploy', roles: %w{app db web}

# TYPO3 site name, set on typo3:install
set :site_name, 'STAGING FGP'

# Base path for deployment.
# This path corresponds to the root project path where Capfile and composer.json are located.
set :deploy_to, '/kunden/93534_10439/preview/'

# Path to file with DB credentials and similar information which can not be stored in the project
# The file is provided by the operator.
set :env_file_path, '/kunden/93534_10439/preview/env.yml'

# overwrite path for dkdeploy-typo3-cms
set :web_path,  '/kunden/93534_10439/preview/current/app/web'

# File path for database export (dump). This file can be generated by invoking the task typo3:database_export and will
# be downloaded by invoking typo3:database_download_dump
set :db_dump_file_path, '/kunden/93534_10439/preview/mysql.sql.gz'
